#[non_exhaustive]#[repr(u16)]pub enum Kdf {
Sha256 = 1,
Sha384 = 2,
Sha512 = 3,
Shake128 = 16,
Shake256 = 17,
TurboShake128 = 18,
TurboShake256 = 19,
}Expand description
A key derivation function used in HPKE.
Codepoints are defined in RFC9180§7.2 and draft-ietf-hpke-pq.
Variants (Non-exhaustive)§
This enum is marked as non-exhaustive
Non-exhaustive enums could have additional variants added in future. Therefore, when matching against variants of non-exhaustive enums, an extra wildcard arm must be added to account for any future variants.
Sha256 = 1
Sha256 RFC5869
Sha384 = 2
Sha384 RFC5869
Sha512 = 3
Sha512 RFC5869
Shake128 = 16
SHAKE128 FIPS 202
Shake256 = 17
SHAKE256 FIPS 202
TurboShake128 = 18
TurboSHAKE128 RFC 9861
TurboShake256 = 19
TurboSHAKE256 RFC 9861
Trait Implementations§
impl Copy for Kdf
impl Eq for Kdf
impl StructuralPartialEq for Kdf
Auto Trait Implementations§
impl Freeze for Kdf
impl RefUnwindSafe for Kdf
impl Send for Kdf
impl Sync for Kdf
impl Unpin for Kdf
impl UnsafeUnpin for Kdf
impl UnwindSafe for Kdf
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more